#ifndef ADC_H_
#define ADC_H_

#include <avr/interrupt.h>

#define ADC_SET_CALLBACK(f) \
	ISR(ADC_vect) \
	{ \
		uint16_t v = ADCL; \
		v |= ADCH<<8; \
		f(v); \
	}

void adc_init();
void adc_read_async(uint8_t);

#endif
