#ifndef COMMANDS_H_
#define COMMANDS_H_

enum Command
{
	POWER_ON = 0x01,
	POWER_OFF = 0x02,
	READ_POWER_STATE = 0x03,
	READ_TRACK_CURRENT = 0x08,
	SET_OVERCURRENT_LIMIT = 0x09,
	READ_INPUT_VOLTAGE = 0x0A,
	MOTOROLA_SPEED = 0x11,
	MOTOROLA_REVERSE = 0x12,
	MOTOROLA_SPEED_DIRECTION = 0x13,
	MOTOROLA_SPEED_FUNCTION = 0x14,
	MOTOROLA_SOLENOID = 0x15,
	MFX_SET_STATION_ID = 0x21,
	MFX_ANNOUNCE = 0x22,
	MFX_SEARCH = 0x23,
	MFX_ASSIGN_ADDRESS = 0x24,
	MFX_PING = 0x25,
	MFX_SPEED = 0x28,
	MFX_SPEED_FUNCS8 = 0x29,
	MFX_SPEED_FUNCS16 = 0x2A,
	S88_READ = 0x30,
	COMMAND_OK = 0x80,
	RECEIVE_OVERRUN = 0x81,
	FRAMING_ERROR = 0x82,
	INVALID_COMMAND = 0x83,
	LENGTH_ERROR = 0x84,
	INVALID_VALUE = 0x85,
	OVERCURRENT = 0xA0,
	TRACK_CURRENT = 0xC0,
	INPUT_VOLTAGE = 0xC1,
	POWER_STATE = 0xC2,
	S88_DATA = 0xD0,
	MFX_SEARCH_FEEDBACK = 0xD1,
	MFX_PING_FEEDBACK = 0xD2
};

#endif
